Bug 1319320 - /usr/bin/sol segfaults at startup
Summary: /usr/bin/sol segfaults at startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: aisleriot
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-18 20:44 UTC by Valdis Kletnieks
Modified: 2017-09-15 21:50 UTC (History)
4 users (show)

Fixed In Version: aisleriot-3.22.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-15 21:50:23 UTC


Attachments (Terms of Use)

Description Valdis Kletnieks 2016-03-18 20:44:38 UTC
Description of problem:

% gdb /usr/bin/sol
...
(gdb) run
Starting program: /usr/bin/sol 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: the debug information found in "/usr/lib/debug//usr/lib64/libwayland-egl.so.1.0.0.debug" does not match "/lib64/libwayland-egl.so.1" (CRC mismatch).     
                                
[New Thread 0x7fffe8d88700 (LWP 6269)]
[New Thread 0x7fffe8587700 (LWP 6270)]
[New Thread 0x7fffe7d86700 (LWP 6271)]
[New Thread 0x7fffe6d25700 (LWP 6272)]
[New Thread 0x7fffe6524700 (LWP 6273)]
                                
Thread 1 "sol" received signal SIGSEGV, Segmentation fault.
0x00007ffff6ab0194 in gdk_rgba_equal () from /lib64/libgdk-3.so.0
(gdb) where                     
#0  0x00007ffff6ab0194 in gdk_rgba_equal () at /lib64/libgdk-3.so.0
#1  0x0000555555563e10 in style_updated_cb ()
#2  0x0000555555564174 in _ar_style_gtk_attach ()
#3  0x00005555555679b2 in aisleriot_board_set_property ()
#4  0x00007ffff558fd76 in g_object_new_internal () at /lib64/libgobject-2.0.so.0
#5  0x00007ffff559196e in g_object_new_valist () at /lib64/libgobject-2.0.so.0
#6  0x00007ffff5591c21 in g_object_new () at /lib64/libgobject-2.0.so.0
#7  0x000055555556fed6 in aisleriot_window_init ()
#8  0x00007ffff55aec10 in g_type_create_instance () at /lib64/libgobject-2.0.so.0
#9  0x00007ffff558f9eb in g_object_new_internal () at /lib64/libgobject-2.0.so.0
#10 0x00007ffff559196e in g_object_new_valist () at /lib64/libgobject-2.0.so.0
#11 0x00007ffff5591c21 in g_object_new () at /lib64/libgobject-2.0.so.0
#12 0x0000555555560fb0 in ar_application_startup ()
#13 0x00007ffff558a7a7 in _g_closure_invoke_va () at /lib64/libgobject-2.0.so.0
#14 0x00007ffff55a61b8 in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#15 0x00007ffff55a680f in g_signal_emit () at /lib64/libgobject-2.0.so.0
#16 0x00007ffff5aa6792 in g_application_register () at /lib64/libgio-2.0.so.0
#17 0x00007ffff5aa6fbf in g_application_real_local_command_line () at /lib64/libgio-2.0.so.0
#18 0x00007ffff5aa7325 in g_application_run () at /lib64/libgio-2.0.so.0
#19 0x000055555556c2ba in main_prog ()
#20 0x00007ffff4c32d90 in invoke_main_func () at /lib64/libguile-2.0.so.22
#21 0x00007ffff4c0b63d in c_body () at /lib64/libguile-2.0.so.22
#22 0x00007ffff4ca8e58 in vm_regular_engine () at /lib64/libguile-2.0.so.22
#23 0x00007ffff4c153f3 in scm_call_4 () at /lib64/libguile-2.0.so.22
#24 0x00007ffff4c0bde1 in scm_i_with_continuation_barrier () at /lib64/libguile-2.0.so.22
#25 0x00007ffff4c0bec5 in scm_c_with_continuation_barrier () at /lib64/libguile-2.0.so.22
#26 0x00007ffff4c8bb4c in with_guile_and_parent () at /lib64/libguile-2.0.so.22
#27 0x00007ffff486c112 in GC_call_with_stack_base () at /lib64/libgc.so.1
#28 0x00007ffff4c8bf78 in scm_with_guile () at /lib64/libguile-2.0.so.22
#29 0x00007ffff4c32f65 in scm_boot_guile () at /lib64/libguile-2.0.so.22
#30 0x0000555555560830 in main ()
(gdb)                           



Version-Release number of selected component (if applicable):
aisleriot-3.18.2-2.fc24.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Valdis Kletnieks 2016-03-22 08:50:41 UTC
Fixed in aisleriot-3.20.1-1.fc25.x86_64.

Comment 2 Jan Kurik 2016-07-26 04:41:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Otto J. Makela 2017-08-21 08:40:52 UTC
A very similar core dump problem turned up on Red Hat Enterprise Linux Workstation release 7.4 (Maipo) and aisleriot-3.10.2-1.el7.nux.x86_64 almost exactly a year later. What do I need to do to get the above fix to also trickle to that direction?

Comment 4 Otto J. Makela 2017-08-23 07:37:10 UTC
(In reply to Otto J. Makela from comment #3)
> A very similar core dump problem turned up on Red Hat Enterprise Linux
> Workstation release 7.4 (Maipo) and aisleriot-3.10.2-1.el7.nux.x86_64 almost
> exactly a year later. What do I need to do to get the above fix to also
> trickle to that direction?

This might actually be something a bit different, at least the crash happens somewhere else. Aisleriot on RHEL7 seems to be woefully old, though.

% gdb /usr/bin/sol                                     
GNU gdb (GDB) Red Hat Enterprise Linux 7.6.1-100.el7
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/sol...Reading symbols from /usr/lib/debug/usr/bin/sol.debug...done.
done.
(gdb) run
Starting program: /usr/bin/sol 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fffe491f700 (LWP 13152)]
[New Thread 0x7fffdffff700 (LWP 13153)]

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:20:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:106:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:107:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:108:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:130:26: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:131:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:132:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:133:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:134:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:135:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:139:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:140:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:141:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:145:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:146:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:147:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:151:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:151:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:152:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:152:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:153:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:153:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:169:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:170:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:171:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:193:26: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:194:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:195:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:196:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:197:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:198:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:202:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:203:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:204:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:208:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:209:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:210:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:214:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:214:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:215:32: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:215:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:216:38: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:216:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:234:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:235:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:247:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:259:60: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:271:58: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:283:60: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:295:58: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:311:33: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:325:41: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:326:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:330:34: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:331:34: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:335:34: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:336:34: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:340:34: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:340:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:341:34: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:341:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:353:33: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:367:41: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:368:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:414:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:415:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:417:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:419:48: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:446:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:454:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:462:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:470:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:478:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:485:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:490:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:495:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:500:57: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:506:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:511:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:516:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:521:69: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:527:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:532:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:537:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:542:68: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:548:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:553:68: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:562:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:563:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:564:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:565:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:566:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:577:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:673:55: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:679:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:698:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:704:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:721:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:737:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:744:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets-img.css:751:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2:7: The 'engine' property is ignored

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:22:30: The style property GtkMenu:horizontal-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:23:28: The style property GtkMenu:vertical-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:25:24: The style property GtkWidget:link-color is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:26:32: The style property GtkWidget:visited-link-color is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:32:27: The style property GtkWidget:focus-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:34:33: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:39:15: The 'outline-radius' property has been renamed to '-gtk-outline-radius'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:13: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:77:20: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:79:20: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:81:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:83:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:124:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:250:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:268:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:415:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:431:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:438:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:461:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:466:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:549:12: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:613:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:633:21: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:634:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:661:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:697:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:709:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:843:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:844:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:845:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:852:26: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:853:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:854:47: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:892:27: The style property GtkNotebook:tab-overlap is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:893:29: The style property GtkNotebook:tab-curvature is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:894:27: The style property GtkNotebook:initial-gap is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1055:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1061:29: The style property GtkWidget:wide-separators is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1244:29: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1277:13: not a number

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1277:13: Expected a string.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1304:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1365:29: The style property GtkMenuItem:arrow-scaling is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1402:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1403:29: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1407:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1428:34: The style property GtkMenuItem:horizontal-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1435:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1436:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1468:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1469:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1474:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1475:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1500:20: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1533:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1534:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1634:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1653:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1667:20: The :prelight pseudo-class is deprecated. Use :hover instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1674:21: The :prelight pseudo-class is deprecated. Use :hover instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1680:23: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1681:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1686:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1687:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1688:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1689:32: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1710:23: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1711:32: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1712:33: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1713:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1714:33: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1715:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1718:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1789:32: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1795:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1877:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1878:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1956:11: not a number

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1956:11: Expected a string.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1990:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2005:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2013:30: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2014:27: The style property GtkWidget:focus-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2050:17: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2051:23: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2074:32: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2075:33: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2092:32: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2093:33: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2130:15: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2221:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2239:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2246:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2253:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2260:29: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2267:26: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2360:11: not a number

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2360:11: Expected a string.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2438:12: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2469:12: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2488:12: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2494:32: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2509:33: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2510:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2511:41: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2546:12: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2583:62: Using one color stop with linear-gradient() is deprecated.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2587:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2607:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2616:61: Using one color stop with linear-gradient() is deprecated.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2620:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2636:61: Using one color stop with linear-gradient() is deprecated.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2640:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2645:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2646:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2647:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2648:52: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2652:59: Using one color stop with linear-gradient() is deprecated.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2656:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2666:62: Using one color stop with linear-gradient() is deprecated.

(sol:13148): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2670:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(sol:13148): Gtk-WARNING **: Theme parsing error: mate-applications.css:44:55: The :prelight pseudo-class is deprecated. Use :hover instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: mate-applications.css:211:43: Using one color stop with linear-gradient() is deprecated.

(sol:13148): Gtk-WARNING **: Theme parsing error: mate-applications.css:244:13: not a number

(sol:13148): Gtk-WARNING **: Theme parsing error: mate-applications.css:244:13: Expected a string.

(sol:13148): Gtk-WARNING **: Theme parsing error: mate-applications.css:346:25: The :prelight pseudo-class is deprecated. Use :hover instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: mate-applications.css:347:25: The :prelight pseudo-class is deprecated. Use :hover instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: mate-applications.css:452:66: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: mate-applications.css:476:95: The :prelight pseudo-class is deprecated. Use :hover instead.

(sol:13148): Gtk-WARNING **: Theme parsing error: mate-applications.css:518:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff6afe044 in gdk_rgba_equal () from /lib64/libgdk-3.so.0

Comment 5 Kalev Lember 2017-08-29 12:24:33 UTC
aisleriot was dropped from RHEL in 7.1, so we didn't include it in the GNOME rebases we had in RHEL 7.2 and 7.4. I've now done an aisleriot-3.22.2-1.el7 build for EPEL 7 instead; can you confirm that this fixes the crash please?

Comment 6 Otto J. Makela 2017-08-30 07:59:55 UTC
(In reply to Kalev Lember from comment #5)
> aisleriot was dropped from RHEL in 7.1, so we didn't include it in the GNOME
> rebases we had in RHEL 7.2 and 7.4. I've now done an aisleriot-3.22.2-1.el7
> build for EPEL 7 instead; can you confirm that this fixes the crash please?

Took me a moment to find it, but yes, it does work just fine.
https://koji.fedoraproject.org/koji/buildinfo?buildID=962807

Comment 7 Fedora Update System 2017-08-30 17:34:40 UTC
aisleriot-3.22.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7953c407be

Comment 8 Fedora Update System 2017-09-01 03:51:23 UTC
aisleriot-3.22.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7953c407be

Comment 9 Fedora Update System 2017-09-15 21:50:23 UTC
aisleriot-3.22.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.